Bug 218824 (CVE-2006-6301) - CVE-2006-6301: denyhosts 2.5 hosts.deny DoS
Summary: CVE-2006-6301: denyhosts 2.5 hosts.deny DoS
Status: CLOSED CURRENTRELEASE
Alias: CVE-2006-6301
Product: Fedora
Classification: Fedora
Component: denyhosts   
(Show other bugs)
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-12-07 18:24 UTC by Ville Skyttä
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version: 2.6-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-08 03:43:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ville Skyttä 2006-12-07 18:24:38 UTC
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2006-6301

"DenyHosts 2.5 does not properly parse sshd logs file, which allows remote
attackers to add arbitrary hosts to the /etc/hosts.deny file and cause a denial
of service by adding arbitrary IP addresses to the sshd log file, as
demonstrated by loggig in to ssh using a login name containing certain strings
with an IP address, which is not properly handled by a regular expression."

Based on version numbers, affects FE-3+ and EPEL-4+

Comment 1 Jason Tibbitts 2006-12-07 21:21:32 UTC
Upstream has released DenyHosts 2.6 to correct this issue; currently building
for rawhide and if successful will be pushed on all branches later today.

Comment 2 Jason Tibbitts 2006-12-08 03:43:52 UTC
Updates (package version 2.6-2) pushed for FC-3, FC-4, FC-5, FC-6, EL-4, EL-5
and rawhide.


Note You need to log in before you can comment on or make changes to this bug.